<f:message> | Standard JET2 Format Tags
--- | ---

message

Retrieve a message from a message bundle and either write it or store it in a variable.

The message bundle may be defined by either a containing f:bundle tag or identified by the f:setBundle tag.

If the message is parameterized, parameter values are defined by contained f:param tags.

Tag Summary
required | <f:message> content to be written </f:message>
full tag | <f:message key="value" var="value"> content to be written </f:message>

Optional Attributes
key | The key for a resource bundle message. If omitted, the body content of the tag is used to create the key.
var | a variable that will be set to the message. If omitted, the message is writen to the tag output.

Example
| <f:message key="helloWorld"><f:param value="Bob"/></f:message> <f:message>helloWorld<f:param value="Bob"/></f:message> <f:message key="helloWorld" var="msg"><f:param value="Bob"/></f:message>